.blue {
    color: #39b5fb;
}

.red {
    color: #bd0707;
}

.white {
    color: #fff;
}

.gray {
    color: #797979;
}

.bg-beige {
    background: #ececec;
}



#pdp .panel-template .position-relative.wide100 {
    position: relative;
    width: 100%;
}

#pdp .panel-template .col-half,
#pdp .panel-template .col-third {
    /*padding:1.2%;*/
    position: relative;
}

#pdp .panel-template .position-absolute.col-half {
    height: 100%;
    margin: 0;
    padding: 0;
    position: absolute;
    top: 0;
}

#pdp .panel-template .position-absolute.col-half.left {
    left: 0;
}

#pdp .panel-template .position-absolute.col-half.right {
    right: 0;
}

#pdp .panel-template .wrapper {
    display: table;
}

#pdp .panel-template .wrapper .vertical-center {
    display: table-cell;
    vertical-align: middle;
}


#pdp .panel-template .position-absolute.vertical-center {
    display: block;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    transform-origin: bottom left;
    vertical-align: baseline;
}


#pdp .col-half.show-on-mobile {
    display: none;
}

.grid-item {
    overflow: hidden;
}

.mobile .mobile-only {
    display: block;
}

.desktop .mobile-only {
    display: none;
}

.mobile .desktop-only {
    display: none;
}

.desktop .desktop-only {
    cursor: pointer;
    display: block;
}

#pdp .panel-template .position-absolute.col-half {
    bottom: 0;
    padding: 0;
    position: absolute;
    height: 61%;
    top: auto;
}

#pdp section.panel-template h1 {
    font-family:'BebasNeuePro-SmEBd', sans-serif;
    font-size:3.5em;
    font-weight:400;
    letter-spacing:.05em;
    margin-bottom:0;
}

#pdp .panel-template a.cta:link,
#pdp .panel-template a.cta:visited {
    background-color:#E9E600;
    color:#000;
    transition:all .3s ease;
}

#pdp .panel-template a.cta:hover,
#pdp .panel-template a.cta:active {
    background-color:#f6dc73;
    color:#000;
}

/* ==============================
HERO
============================== */

#pdp #pdp-panel-hero {
    background:url('//cwsmgmt.corsair.com/pdp/pro-xt-coolers/images/rgb_pro_xt_hero.jpg') center no-repeat;
    background-size:cover;
    margin-top: 0;
    min-height: 600px;
    overflow: hidden;
    position: relative;
    width: 100%;
    transform: translateZ(0);
    -webkit-transform: translateZ(0);
    padding: 0;
    z-index: 1;
}

#pdp #pdp-panel-hero video {
    display: block;
    left: 50%;
    min-height: 100%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 0;
}


#pdp #pdp-panel-hero .hero-content-container {
    background: rgba(0, 0, 0, .5);
    display: table;
    min-height: 800px;
    position: relative;
    width: 100%;
}

#pdp #pdp-panel-hero .wrapper {
    display: table-cell;
    min-height: 0;
    position: relative;
    vertical-align: middle;
    z-index: 1;
}

#pdp #pdp-panel-hero h1 {
    font-size: 6em;
    font-weight:400;
    letter-spacing:.03em;
    line-height:1;
    margin:.5em 0;
    text-shadow: 0 1px 10px rgba(0, 0, 0, .5);
}

@keyframes hero-animation {
    0% {
        top: -100;
    }

    100% {
        top: 0%;
    }
}

#pdp #pdp-panel-hero.panel-template p {
    font-weight: 400;
    letter-spacing: 0.5em;
    margin: 2em 0;
    text-shadow: 0 1px 10px rgba(0, 0, 0, .5);
}

#pdp #pdp-panel-hero .cta:link,
#pdp #pdp-panel-hero .cta:visited {
    background-color: #E9E600;
    color: #000;
}

#pdp #pdp-panel-hero .cta:hover,
#pdp #pdp-panel-hero .cta:active {
    background-color: #f6dc73;
}




/* ============================== 
SPINNING FAN
============================== */
#pdp #ml .col-half {
    position:relative;
}

#pdp #ml img {
    width:100%;
}

#pdp #ml .blades-container {
    left:50%;
    position:absolute;
    top:50%;
    transform:translate(-50%, -50%);
    width:100%;
}

#pdp #ml .blades-container img {
    width:87%;
}




/* ==============================
LIGHTING
============================== */
#pdp section.lighting h1 {

    font-family:'BebasNeuePro-SmEBd', sans-serif;
    font-size:3.5em;
    letter-spacing:.05em;
    margin-bottom:0;
}

#pdp .lighting {
    padding: 7vw;
    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#e2e2e2+0,dfdfdf+100 */
    background: #000;
}

#pdp .lighting .dots-container {
    margin-top: 0em;
    position: relative;
}

#pdp .lighting .dots-container ul {
    padding-left: 0;
}

#pdp .lighting .dots-container li {
    cursor: pointer;
    display: inline-block;
    height: 10em;
    margin-right: 18px;
    position: static;
}

#pdp .lighting .dots-container li .tag-text {
    font-size: 0.7em;
    letter-spacing: 0.2em;
    left: 0;
    margin-top: -4px !important;
    opacity: 0;
    position: absolute;
    text-transform: uppercase;
    top: 9em;
    transition: 250ms opacity;
    white-space: nowrap;
}

.no-touch #pdp .lighting .dots-container li:hover:not(.active) .tag-text {
    opacity: 0;
}

#pdp .lighting .dots-container li.active .tag-text {
    opacity: 1;
}

#pdp .lighting .dots-container li .dot {
    background: #39b5fb;
    border: none;
    border-radius: 50%;
    display: inline-block;
    font-size: 0px;
    height: 12px;
    outline: none;
    width: 12px;
}

#pdp .lighting .dots-container li:not(.active) .dot {
    background: #6d6d6d !important;
}

#pdp .lighting .content_wrapper {
    margin: 0 auto;
    max-width: 1200px;
    width: 100%;
}

#pdp .lighting .content_wrapper .half {
    display: inline-block;
    vertical-align: middle;
    width: 55%;
}

#pdp .lighting .content_wrapper .left {
    box-sizing: border-box !important;
    margin-right: 55%;
    width: 44%;
    z-index: 2;
}

#pdp .lighting .content_wrapper .left p {
    font-weight: 100;
    margin-top: 2em;
}

#pdp .lighting .content_wrapper .left .dots-container p {
    color: #fff;
}

#pdp .lighting .content_wrapper .left .body-text {
    width: 75%;
}

#pdp .lighting .content_wrapper .left .disclaimer {
    font-size: 0.85em;
    font-weight: 400;
    line-height: 1.6em;
    margin-top: 0;
    width: 90%;
}


#pdp .lighting .content_wrapper .right {
    height: 100%;
    right: 0;
    overflow: hidden;
    position: absolute;
    top: 50%;
    width: 65%;
    transform: translateY(-50%);
}

#pdp .lighting .content_wrapper .right .item-rotation {
    height: 100%;
    position: relative;
    width: 100%;
}

#pdp .lighting .content_wrapper .right .item-rotation .spacer {
    width: 100%;
}


#pdp .lighting .content_wrapper .right .video-gradient {
    background: linear-gradient(to left, rgba(0, 0, 0, 0) 20%, rgba(0, 0, 0, 1) 85%);
    display: block;
    height: 100%;
    right: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 1;
}



#pdp .lighting .content_wrapper .right .item-rotation .mobile {
    display: none;
}

#pdp .lighting .content_wrapper .right .item-rotation video {
    height: 100%;
    width: auto;
}

#pdp .lighting .content_wrapper .right .item-rotation .fan-colors {
    height: 100%;
    right: -10%;
    opacity: 0;
    position: absolute;
    top: 0;
    width: auto;
}

#pdp .lighting .content_wrapper .right .item-rotation .fan-colors.active {
    opacity: 1;
}



@media only screen and (max-width: 2500px) {

    /* ==============================
    SMARTER
    ============================== */
    #pdp .lighting {
        overflow: hidden;
    }

    #pdp .lighting .content_wrapper {
        margin: 0 auto;
    }
}



@media only screen and (max-width: 1600px) {

    /* ==============================
    SMARTER
    ============================== */


    #pdp .lighting .content_wrapper {
        margin: 0 auto;
    }

    #pdp .lighting .content_wrapper .right {
        width: 50%;
    }

    #pdp .lighting .content_wrapper .right .item-rotation .fan-colors {
        left: auto;
        right: -20vh;
    }
}



@media only screen and (max-width: 1200px) {
    .wide-460 {
        width: 460px !important;
    }

}

@media only screen and (max-width: 992px) {
    #pdp .wide-460 .col-third h1 {
        font-size: 1.8em !important;
    }
}


@media only screen and (max-width: 960px) {

    /* ==============================
    LIGHTING
    ============================== */
    #pdp .lighting {
        padding: 7em 0 2em;
        position: relative;
    }

    #pdp .lighting:before {
        content: "";
        height: 100%;
        left: 0;
        opacity: 0.6;
        position: absolute;
        top: 0;
        width: 100%;
    }

    #pdp .lighting .slick-dots {
        margin-top: 3em;
    }

    #pdp .lighting .content_wrapper {
        margin: 0;
        position: relative;
        z-index: 1;
    }

    #pdp .lighting .content_wrapper .half {

        margin-top: 5%;
        width: auto;
    }

    #pdp .lighting .content_wrapper .right {
        display: block;
        height: auto;
        margin: 0 auto;
        padding-top: 0;
        position: relative;
        transform: none !important;
        width: 100%;
    }




    #pdp .lighting .content_wrapper .right .item-rotation {
        height: auto;
        margin: 0 auto;
        max-width: 90vw;
    }

    #pdp .lighting .content_wrapper .right .video-gradient {
        display: none;
    }

    #pdp .lighting .content_wrapper .right .item-rotation .mobile {
        display: block;
    }

    #pdp .lighting .content_wrapper .right .item-rotation .mobile .gif {
        left: 0;
        opacity: 0;
        position: absolute;
        top: 0;
        width: 100%;
        transition: 500ms opacity;
    }

    #pdp .lighting .content_wrapper .right .item-rotation .mobile .gif img {
        width: 100%;
    }

    #pdp .lighting .content_wrapper .right .item-rotation .mobile .gif.active {
        opacity: 1;
    }

    /*#pdp .lighting .content_wrapper .right .item-rotation .mobile:after{


        background-image: -webkit-linear-gradient(bottom, rgba(0, 0, 0, 1)  0%, rgba(0, 0, 0, 0) 100%);
        background-image: -moz-linear-gradient(bottom, rgba(0, 0, 0, 1)  0%, rgba(0, 0, 0, 0) 100%);
        background-image: -o-linear-gradient(bottom, rgba(0, 0, 0, 1)  0%, rgba(0, 0, 0, 0) 100%);
        background-image: linear-gradient(to top, rgba(0, 0, 0, 1)  0%, rgba(0, 0, 0, 0) 100%);
        bottom:-4px;
        content:"";
        left:0;
        height:7%;
        position:absolute;
        width:100%;

    }*/

    #pdp .lighting .content_wrapper .right .item-rotation video {
        display: none;
    }

    #pdp .lighting .content_wrapper .left {
        margin-bottom: 4em;
        margin-left: 0;
        margin-top: -1vw;
        padding-left:10px;
        padding-right:10px;
        position: relative;
        text-align: center;
        transform: none !important;
        width: 100%
    }

    #pdp .lighting .content_wrapper .left h1 {
        margin-top: 5em;
    }

    #pdp .lighting .content_wrapper .left .center {
        position: relative;
        text-align: center;
    }

    #pdp .lighting .content_wrapper .left p {
        margin-top: 0;
        width: auto;
    }

    #pdp .lighting .content_wrapper .left p.description {
        margin-top: 2em;
    }

    #pdp .lighting .content_wrapper .left .body-text {
        color: #b1b1b1 !important;
        width: 100%;
    }

    #pdp .lighting .content_wrapper .left .dots-container {
        position: absolute;
        top: 2em;
        width: 100%;
    }

    #pdp .lighting .dots-container li {
        position: static;
    }

    #pdp .lighting .dots-container li .tag-text {
        left: 50%;
        position: absolute;
        top: 9em;
        transform: translateX(-50%);
    }

    .no-touch #pdp .lighting .dots-container li:hover:not(.active) .tag-text {
        opacity: 0;
    }

    #tag-text-style {
        color: #39b5fb;
    }

}


@media only screen and (max-width: 900px) {
}

@media only screen and (max-width: 768px) {
    #pdp .img-absolute.stack-on-mobile {
        position: relative;
    }

    #pdp .panel-template.text-center-mobile {
        text-align: center;
    }

    #pdp section.panel-template h1 {
        
    }

    /* ==============================
    HERO
    ============================== */

    #pdp #pdp-panel-hero {
        background-image:url('//cwsmgmt.corsair.com/pdp/pro-xt-coolers/images/pro_xt_cooler_loop.gif');
        min-height:auto;
    }

    #pdp #pdp-panel-hero video {
        display: none !important;
    }

    #pdp #pdp-panel-hero .hero-content-container {
        min-height:auto;
    }

    #pdp #pdp-panel-hero h1 {
        font-size: 5em !important;
    }

    #pdp #pdp-panel-hero p {
        font-size: 1.5em;
    }


    /* ============================== 
    SPINNING FAN
    ============================== */
    #pdp #ml .blades-container {
        bottom:4%;
        left:0;
        top:auto;
        transform:none;
    }   

    #pdp #ml .blades-container img {
        width:97%;
    }


}

@media only screen and (max-width: 650px) {


    /* ============================== 
    SPINNING FAN
    ============================== */
    #pdp #ml .blades-container {
        bottom:5%;
        left:0;
        transform:none;
    }  
}

@media only screen and (max-width: 570px) {

    #pdp .panel-template .col-half.mobile100 {
        position: relative;
        text-align: center;
        width: 100%;
    }

    #pdp .panel-template.tall110 {
        height: 110vw;
    }

    #pdp .panel-template.padding-top-4,
    #pdp .panel-template.padding-bottom-4 {
        padding: 7em 0 7em;
    }

    #pdp .panel-template .wrapper .vertical-center {
        display: block;
    }

    #pdp .panel-template .col-half {
        margin-top: 0;
    }

    #pdp .panel-template p.description {
        margin-top: 2em auto 0;
    }

    /* ==============================
    HERO
    ============================== */

    #pdp #pdp-panel-hero.panel-template .wrapper {
        padding: 2vw 0;
    }

    #pdp #pdp-panel-hero h1 {
        font-size: 4em !important;
        margin: 0 auto;
        width: calc(100% - 20px);
    }

    #pdp #pdp-panel-hero.panel-template p {
        font-size: 1.5em;
        margin: 2em auto;
        width: calc(100% - 20px);
    }

}



@media only screen and (max-width: 470px) {

    #pdp #pdp-panel-hero {
        min-height: auto;
    }
}
